OpenTTD AI API: Data Fields

OpenTTD AI API 12.0-beta1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - g -

- Gender : AICompany
- GENDER_FEMALE : AICompany
- GENDER_INVALID : AICompany
- GENDER_MALE : AICompany
- GetAcceptedCargo() : AIIndustryType
- GetAge() : AIVehicle
- GetAgeLeft() : AIVehicle
- GetAirportCoverageRadius() : AIAirport
- GetAirportHeight() : AIAirport
- GetAirportType() : AIAirport
- GetAirportWidth() : AIAirport
- GetAllowedNoise() : AITown
- GetAmountOfStationsAround() : AIIndustry
- GetAPIVersion() : AIInfo
- GetAuthor() : AIInfo
- GetAutoRenewMoney() : AICompany
- GetAutoRenewMonths() : AICompany
- GetAutoRenewStatus() : AICompany
- GetAutoReplaceProtection() : AIGroup
- GetAwardedTo() : AISubsidy
- GetBankBalance() : AICompany
- GetBridgeID() : AIBridge
- GetBuildCost() : AIMarine , AIRail , AIRoad , AITile
- GetBuildWithRefitCapacity() : AIVehicle
- GetCapacity() : AIEngine , AIEventEnginePreview , AIVehicle
- GetCargoAcceptance() : AITile
- GetCargoGoal() : AITown
- GetCargoIncome() : AICargo
- GetCargoLabel() : AICargo
- GetCargoLoad() : AIVehicle
- GetCargoPlanned() : AIStation
- GetCargoPlannedFrom() : AIStation
- GetCargoPlannedFromVia() : AIStation
- GetCargoPlannedVia() : AIStation
- GetCargoProduction() : AITile
- GetCargoRating() : AIStation
- GetCargoType() : AIEngine , AIEventEnginePreview , AISubsidy
- GetCargoWaiting() : AIStation
- GetCargoWaitingFrom() : AIStation
- GetCargoWaitingFromVia() : AIStation
- GetCargoWaitingVia() : AIStation
- GetClosestTown() : AITile
- GetCompanyHQ() : AICompany
- GetCompanyID() : AIEventCompanyAskMerger , AIEventCompanyBankrupt , AIEventCompanyInTrouble , AIEventCompanyNew , AIEventCompanyTown
- GetComplementSlope() : AITile
- GetConstructionCost() : AIIndustryType
- GetConstructionDate() : AIBaseStation
- GetCornerHeight() : AITile
- GetCosts() : AIAccounting
- GetCoverageRadius() : AIStation
- GetCrashReason() : AIEventVehicleCrashed
- GetCrashSite() : AIEventVehicleCrashed
- GetCurrentDate() : AIDate
- GetCurrentRailType() : AIRail
- GetCurrentRoadType() : AIRoad
- GetCurrentSpeed() : AIVehicle
- GetCurrentUsage() : AIGroup
- GetCurrentValue() : AIVehicle
- GetDate() : AIDate , AIInfo
- GetDayOfMonth() : AIDate
- GetDescription() : AIInfo
- GetDesignDate() : AIEngine
- GetDestinationIndex() : AISubsidy
- GetDestinationType() : AISubsidy
- GetDistanceManhattanToTile() : AIIndustry , AIStation , AITile , AITown
- GetDistanceSquareToTile() : AIIndustry , AIStation , AITile , AITown
- GetDistributionType() : AICargo
- GetDockLocation() : AIIndustry
- GetDriveThroughBackTile() : AIRoad
- GetEngineID() : AIEventEngineAvailable
- GetEngineReplacement() : AIGroup
- GetEngineType() : AIVehicle
- GetErrorCategory() : AIError
- GetEventType() : AIEvent
- GetExclusiveConsumer() : AIIndustry
- GetExclusiveRightsCompany() : AITown
- GetExclusiveRightsDuration() : AITown
- GetExclusiveSupplier() : AIIndustry
- GetExpireDate() : AISubsidy
- GetFundBuildingsDuration() : AITown
- GetGroupID() : AIVehicle
- GetGrowthRate() : AITown
- GetHangarOfAirport() : AIAirport
- GetHeliportLocation() : AIIndustry
- GetHouseCount() : AITown
- GetIndustryCount() : AIIndustry
- GetIndustryID() : AIEventIndustryClose , AIEventIndustryOpen , AIIndustry
- GetIndustryType() : AIIndustry
- GetInfrastructurePieceCount() : AIInfrastructure
- GetLastError() : AIError
- GetLastErrorString() : AIError
- GetLastMonthProduction() : AIIndustry , AITown
- GetLastMonthReceived() : AITown
- GetLastMonthSupplied() : AITown
- GetLastMonthTransported() : AIIndustry
- GetLastMonthTransportedPercentage() : AIIndustry , AITown
- GetLength() : AIVehicle
- GetLoanAmount() : AICompany
- GetLoanInterval() : AICompany
- GetLocation() : AIBaseStation , AIIndustry , AISign , AITown , AIVehicle
- GetMaintenanceCostFactor() : AIAirport , AIRail , AIRoad
- GetMapSize() : AIMap
- GetMapSizeX() : AIMap
- GetMapSizeY() : AIMap
- GetMaxAge() : AIEngine , AIVehicle
- GetMaxHeight() : AITile
- GetMaximumOrderDistance() : AIEngine , AIVehicle
- GetMaxLength() : AIBridge
- GetMaxLoanAmount() : AICompany
- GetMaxSpeed() : AIBridge , AIEngine , AIEventEnginePreview , AIRail , AIRoad
- GetMaxTractiveEffort() : AIEngine
- GetMinHeight() : AITile
- GetMinLength() : AIBridge
- GetMonth() : AIDate
- GetMonthlyInfrastructureCosts() : AIInfrastructure
- GetMonthlyMaintenanceCost() : AIAirport
- GetMonthlyRailCosts() : AIInfrastructure
- GetMonthlyRoadCosts() : AIInfrastructure
- GetName() : AIBaseStation , AIBridge , AICargo , AICompany , AIEngine , AIEventEnginePreview , AIGroup , AIIndustry , AIIndustryType , AIInfo , AINewGRF , AIRail , AIRoad , AISign , AITown , AIVehicle
- GetNearestTown() : AIAirport , AIStation
- GetNeighbourRoadCount() : AIRoad
- GetNewCompanyID() : AIEventCompanyMerger
- GetNewVehicleID() : AIEventVehicleAutoReplaced
- GetNextEvent() : AIEventController
- GetNoiseLevelIncrease() : AIAirport
- GetNumEngines() : AIGroup
- GetNumHangars() : AIAirport
- GetNumVehicles() : AIGroup
- GetNumWagons() : AIVehicle
- GetOldCompanyID() : AIEventCompanyMerger
- GetOldVehicleID() : AIEventVehicleAutoReplaced
- GetOpsTillSuspend() : AIController
- GetOrderCompareFunction() : AIOrder
- GetOrderCompareValue() : AIOrder
- GetOrderCondition() : AIOrder
- GetOrderCount() : AIOrder
- GetOrderDestination() : AIOrder
- GetOrderDistance() : AIOrder
- GetOrderFlags() : AIOrder
- GetOrderJumpTo() : AIOrder
- GetOrderRefit() : AIOrder
- GetOtherBridgeEnd() : AIBridge
- GetOtherTunnelEnd() : AITunnel
- GetOwner() : AITile
- GetParent() : AIGroup
- GetPlaneType() : AIEngine
- GetPopulation() : AITown
- GetPower() : AIEngine
- GetPresidentGender() : AICompany
- GetPresidentName() : AICompany
- GetPrice() : AIAirport , AIBridge , AIEngine , AIEventEnginePreview
- GetPrimaryColour() : AIGroup
- GetPrimaryLiveryColour() : AICompany
- GetProducedCargo() : AIIndustryType
- GetProfitLastYear() : AIGroup , AIVehicle
- GetProfitThisYear() : AIGroup , AIVehicle
- GetQuarterlyCargoDelivered() : AICompany
- GetQuarterlyCompanyValue() : AICompany
- GetQuarterlyExpenses() : AICompany
- GetQuarterlyIncome() : AICompany
- GetQuarterlyPerformanceRating() : AICompany
- GetRailDepotFrontTile() : AIRail
- GetRailPieceCount() : AIInfrastructure
- GetRailStationDirection() : AIRail
- GetRailTracks() : AIRail
- GetRailType() : AIEngine , AIRail
- GetRating() : AITown
- GetRefitCapacity() : AIVehicle
- GetReliability() : AIEngine , AIVehicle
- GetRoadDepotFrontTile() : AIRoad
- GetRoadLayout() : AITown
- GetRoadPieceCount() : AIInfrastructure
- GetRoadReworkDuration() : AITown
- GetRoadStationFrontTile() : AIRoad
- GetRoadTramType() : AIRoad
- GetRoadType() : AIEngine , AIVehicle
- GetRoadVehicleTypeForCargo() : AIRoad
- GetRunningCost() : AIEngine , AIEventEnginePreview , AIVehicle
- GetSecondaryColour() : AIGroup
- GetSecondaryLiveryColour() : AICompany
- GetSetting() : AIController
- GetSettings() : AIInfo
- GetShortName() : AIInfo
- GetSignalType() : AIRail
- GetSlope() : AITile
- GetSourceIndex() : AISubsidy
- GetSourceType() : AISubsidy
- GetState() : AIVehicle
- GetStationCoverageRadius() : AIStation
- GetStationID() : AIEventDisasterZeppelinerCleared , AIEventDisasterZeppelinerCrashed , AIEventStationFirstVehicle , AIStation
- GetStockpiledCargo() : AIIndustry
- GetStopLocation() : AIOrder
- GetSubsidyID() : AIEventSubsidyAwarded , AIEventSubsidyExpired , AIEventSubsidyOffer , AIEventSubsidyOfferExpired
- GetTerrainType() : AITile
- GetTick() : AIController
- GetTileIndex() : AIMap
- GetTileX() : AIMap
- GetTileY() : AIMap
- GetTownAuthority() : AITile
- GetTownCount() : AITown
- GetTownEffect() : AICargo
- GetTownID() : AIEventCompanyTown , AIEventTownFounded
- GetUnitNumber() : AIVehicle
- GetURL() : AIInfo
- GetValue() : AIEventCompanyAskMerger , AIGameSettings , AIList
- GetVehicleID() : AIEventAircraftDestTooFar , AIEventStationFirstVehicle , AIEventVehicleCrashed , AIEventVehicleLost , AIEventVehicleUnprofitable , AIEventVehicleWaitingInDepot
- GetVehicleType() : AIEngine , AIEventEnginePreview , AIGroup , AIVehicle
- GetVersion() : AIController , AIInfo , AINewGRF
- GetWagonAge() : AIVehicle
- GetWagonEngineType() : AIVehicle
- GetWaypointID() : AIWaypoint
- GetWeight() : AIEngine
- GetYear() : AIDate
- GROUP_ALL : AIGroup
- GROUP_DEFAULT : AIGroup
- GROUP_INVALID : AIGroup
- GroupID : AIGroup